automaton.hpp File Reference

A basic automaton structure. More...

`#include <map>`
`#include <vector>`
`#include <claw/avl.hpp>`
`#include <claw/impl/automaton.tpp>`

Go to the source code of this file.

## Classes

class | claw::automaton< State, Edge, StateComp, EdgeComp >
| Basic automaton structure. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

A basic automaton structure.

Author
  Julien Jorge

Definition in file automaton.hpp.